## GwyDataWindow GwyDataWindow — Data display window |

## Functions

GtkWidget * | gwy_data_window_new ()
GwyDataView * | gwy_data_window_get_data_view ()
GtkWidget * | gwy_data_window_get_color_axis ()
GwyContainer * | gwy_data_window_get_data ()
void | gwy_data_window_set_zoom ()
void | gwy_data_window_fit_to_screen ()
const gchar * | gwy_data_window_get_data_name ()
void | gwy_data_window_set_data_name ()
GtkWidget * | gwy_data_window_get_ul_corner_widget ()
void | gwy_data_window_set_ul_corner_widget ()
void | gwy_data_window_class_set_tooltips ()
GtkTooltips * | gwy_data_window_class_get_tooltips ()

## Properties

GwyColorAxis * | color-axis | Read
char * | data-name | Read / Write
GwyDataView * | data-view | Read
GtkWidget * | ul-corner | Read / Write

## Types and Values

struct | GwyDataWindow
struct | GwyDataWindowClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkWindow
                                ╰── GwyDataWindow

## Implemented Interfaces

GwyDataWindow implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <libgwydgets/gwydgets.h>

## Description

GwyDataWindow encapsulates a GwyDataView together with other controls. You can create a data window for a data view with `gwy_data_window_new()`.

## Functions

### gwy_data_window_new ()

    GtkWidget *
    gwy_data_window_new (GwyDataView *data_view);

Creates a new data displaying window.

#### Parameters

data_view | A GwyDataView containing the data-displaying widget to show. |

#### Returns

A newly created widget, as GtkWidget.

### gwy_data_window_get_data_view ()

    GwyDataView *
    gwy_data_window_get_data_view (GwyDataWindow *data_window);

Returns the data view widget a data window currently shows.

#### Parameters

data_window | A data view window. |

#### Returns

The currently shown data view.

### gwy_data_window_get_color_axis ()

    GtkWidget *
    gwy_data_window_get_color_axis (GwyDataWindow *data_window);

Returns the color axis widget displayed by a data window.

#### Parameters

data_window | A data view window. |

#### Returns

The color axis.

### gwy_data_window_get_data ()

    GwyContainer *
    gwy_data_window_get_data (GwyDataWindow *data_window);

Returns the data for the data view a data window currently shows.

#### Parameters

data_window | A data view window. |

#### Returns

The data as GwyContainer.

### gwy_data_window_set_zoom ()

    void
    gwy_data_window_set_zoom (GwyDataWindow *data_window,
                              gint izoom);

Sets the zoom of a data window to `izoom` .

When `izoom` is -1 it zooms out; when `izoom` is 1 it zooms out. Otherwise the new zoom value is set to `izoom` /10000.

#### Parameters

data_window | A data window. |
izoom | The new zoom value (as an integer). |

### gwy_data_window_fit_to_screen ()

    void
    gwy_data_window_fit_to_screen (GwyDataWindow *data_window);

Sets the zoom of data windows's data view in an attempt to make the window fit to the screen.

#### Parameters

data_window | A data view window. |

Since: 2.56

### gwy_data_window_get_data_name ()

    const gchar *
    gwy_data_window_get_data_name (GwyDataWindow *data_window);

Gets the data name part of a data window's title.

#### Parameters

data_window | A data window. |

#### Returns

The data name as a string owned by the window.

### gwy_data_window_set_data_name ()

    void
    gwy_data_window_set_data_name (GwyDataWindow *data_window,
                                   const gchar *data_name);

Sets the data name of a data window.

The data name is used in the window's title.

#### Parameters

data_window | A data window. |
data_name | New data name. |

### gwy_data_window_get_ul_corner_widget ()

    GtkWidget *
    gwy_data_window_get_ul_corner_widget (GwyDataWindow *data_window);

Returns the upper left corner widget of `data_window` .

#### Parameters

data_window | A data window. |

#### Returns

The upper left corner widget as a GtkWidget, `NULL` if there is no such widget.

### gwy_data_window_set_ul_corner_widget ()

    void
    gwy_data_window_set_ul_corner_widget (GwyDataWindow *data_window,
                                          GtkWidget *corner);

Sets the widget in upper left corner of a data window to `corner` .

#### Parameters

data_window | A data window. |
corner | A widget to set as upper left corner widget, many be `NULL` to just remove any eventual existing one. |

### gwy_data_window_class_set_tooltips ()

    void
    gwy_data_window_class_set_tooltips (GtkTooltips *tips);

`gwy_data_window_class_set_tooltips` is deprecated and should not be used in newly-written code.

Sets the tooltips object to use for adding tooltips to data window parts.

This function does not do anything useful. Do not use it.

This is a class method. It affects only newly cerated data windows, existing data windows will continue to use the tooltips they were constructed with.

If no class tooltips object is set before first GwyDataWindow is created, the class instantiates one on its own. You can normally obtain it with `gwy_data_window_class_get_tooltips()` then. The class takes a reference on the tooltips in either case.

#### Parameters

tips | Tooltips object GwyDataWindow's should use for setting tooltips. A `NULL` value disables tooltips altogether. |

### gwy_data_window_class_get_tooltips ()

    GtkTooltips *
    gwy_data_window_class_get_tooltips (void);

`gwy_data_window_class_get_tooltips` is deprecated and should not be used in newly-written code.

Gets the tooltips object used for adding tooltips to Data window parts.

This function does not do anything useful. Do not use it.

#### Returns

The GtkTooltips object.

## Types and Values

### struct GwyDataWindow

    struct GwyDataWindow;

### struct GwyDataWindowClass

    struct GwyDataWindowClass {
        GtkWindowClass parent_class;

        void (*reserved1)(void);
        void (*reserved2)(void);
        void (*reserved3)(void);
    };

## Property Details

### The `“color-axis”` property

      “color-axis”               GwyColorAxis *

The color axis widget displayed in the window.

Owner: GwyDataWindow

Flags: Read

### The `“data-name”` property

      “data-name”                char *

Data name used in window title.

Owner: GwyDataWindow

Flags: Read / Write

Default value: ""

### The `“data-view”` property

      “data-view”                GwyDataView *

The data view widget displayed in the window.

Owner: GwyDataWindow

Flags: Read

### The `“ul-corner”` property

      “ul-corner”                GtkWidget *

The widget in the upper left corner.

Owner: GwyDataWindow

Flags: Read / Write

## See Also

GwyDataView -- basic data display widget